classification
Title: typing.NoReturn is undocumented
Type: Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, levkivskyi, srittau
Priority: normal Keywords: patch

Created on 2018-05-23 12:33 by srittau, last changed 2018-05-26 12:56 by levkivskyi. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7107 merged levkivskyi, 2018-05-25 01:58
PR 7108 merged miss-islington, 2018-05-25 04:37
PR 7109 merged miss-islington, 2018-05-25 04:39
Messages (1)
msg317395 - (view) Author: Sebastian Rittau (srittau) * Date: 2018-05-23 12:33
This exists at least in Python 3.6.5's typing module. https://github.com/python/typing/issues/165 has background on why it was added.
History
Date User Action Args
2018-05-26 12:56:36levkivskyisetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-05-25 04:39:31miss-islingtonsetpull_requests: + pull_request6748
2018-05-25 04:37:12miss-islingtonsetpull_requests: + pull_request6747
2018-05-25 01:58:11levkivskyisetkeywords: + patch
stage: patch review
pull_requests: + pull_request6746
2018-05-23 15:08:48levkivskyisetnosy: + levkivskyi
2018-05-23 12:33:08srittaucreate